> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turso.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Organization

> Update an organization you own or are a member of.

<RequestExample>
  ```bash cURL (overages) theme={null}
  curl -L -X PATCH https://api.turso.tech/v1/organizations/{organizationSlug} \
    -H 'Authorization: Bearer TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
        "overages": true
    }'
  ```

  ```bash cURL (require MFA) theme={null}
  curl -L -X PATCH https://api.turso.tech/v1/organizations/{organizationSlug} \
    -H 'Authorization: Bearer TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
        "require_mfa": true
    }'
  ```

  ```ts Node.js theme={null}
  import { createClient } from "@tursodatabase/api";

  const turso = createClient({
    org: "...",
    token: "",
  });

  const organization = await turso.organizations.update("mycompany", {
    overages: true,
  });
  ```
</RequestExample>


## OpenAPI

````yaml PATCH /v1/organizations/{organizationSlug}
openapi: 3.0.1
info:
  title: Turso Platform API
  description: API description here
  license:
    name: MIT
  version: 0.1.0
servers:
  - url: https://api.turso.tech
    description: Turso's Platform API
security: []
paths:
  /v1/organizations/{organizationSlug}:
    patch:
      summary: Update Organization
      description: Update an organization you own or are a member of.
      operationId: updateOrganization
      parameters:
        - $ref: '#/components/parameters/organizationSlug'
      requestBody:
        description: The updated organization details.
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                overages:
                  type: boolean
                  description: Enable or disable overages for the organization.
                require_mfa:
                  type: boolean
                  description: >-
                    Require all members of the organization to have multi-factor
                    authentication enabled. The requesting user must have MFA
                    enabled on their own account before enabling this
                    requirement.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  organization:
                    $ref: '#/components/schemas/Organization'
                    description: The updated organization.
components:
  parameters:
    organizationSlug:
      in: path
      name: organizationSlug
      required: true
      schema:
        type: string
      description: The slug of the organization or user account.
  schemas:
    Organization:
      type: object
      properties:
        name:
          type: string
          description: >-
            The organization name. Every user has a `personal` organization for
            their own account.
          example: personal
        slug:
          type: string
          description: >-
            The organization slug. This will be your username for `personal`
            accounts.
          example: iku
        type:
          type: string
          description: >-
            The type of account this organization is. Will always be `personal`
            or `team`.
          example: personal
          enum:
            - personal
            - team
        overages:
          type: boolean
          description: >-
            The name of the organization. Every user has a `personal`
            organization for their own account.
          example: false
        require_mfa:
          type: boolean
          description: >-
            Whether all members of the organization are required to have
            multi-factor authentication enabled.
          example: false
        blocked_reads:
          type: boolean
          description: Returns the current status for blocked reads.
          example: false
        blocked_writes:
          type: boolean
          description: Returns the current status for blocked writes.
          example: false
        plan_id:
          type: string
          description: The pricing plan identifier this organization is subscribed to.
          example: developer
        plan_timeline:
          type: string
          description: The billing cycle for the paid plan, if any.
          example: monthly
        platform:
          type: string
          description: >-
            The external platform this organization is managed by. Will be empty
            for Turso managed organizations.
          example: vercel

````